Subject: This stuff is not really expensive as before...

From: "Wm" <[email-masked]>
Date: Mon, 10 Jan 2005 11:29:13 +0000

Hello!

Viagra is the #1 med to struggle with mens' erectile dysfunction.
Like one jokes sais, it is strong enouqh for a man, but made for a woman ;-)

Orderinq Viagra online is a very convinient ,fast and secure way!
Millions of people do it daily to save their privacy and money

Order here...